Loading...
Searching...
No Matches
Dune::Amg::DefaultSmootherArgs< T > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

The default class for the smoother arguments. More...

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::DefaultSmootherArgs< T >:

## Public Types

typedef FieldTraits< T >::real_type | RelaxationFactor
| The type of the relaxation factor.

## Public Member Functions

| DefaultSmootherArgs ()
| Default constructor.

## Public Attributes

int | iterations
| The number of iterations to perform.
RelaxationFactor | relaxationFactor
| The relaxation factor to use.

## Detailed Description

template<class T>
struct Dune::Amg::DefaultSmootherArgs< T >

The default class for the smoother arguments.

The documentation for this struct was generated from the following file:

- smoother.hh